//marquee width (in pixels)
var marqueewidth=700
//marquee height (in pixels, pertains only to NS)
var marqueeheight=17
//marquee scroll speed (larger is faster)
var speed=3
//marquee contents
var marqueecontents= jscontent;
/************************************************************************************
Value to preserve onload status
************************************************************************************/
var oldOnLoad;
oldOnLoad=window.onload;

if (document.all)
document.write('<marquee scrollAmount='+speed+' style="width:'+marqueewidth+' ">'+marqueecontents+'</marquee>')

function regenerate(){
window.location.reload()
}
function regenerate2(){
if (document.layers){
setTimeout("window.onresize=regenerate",550)
intializemarquee()
}

if (oldOnLoad!=null) oldOnLoad();
}

function intializemarquee(){
document.cmarquee01.document.cmarquee02.document.write('<nobr>'+marqueecontents+'</nobr>')
document.cmarquee01.document.cmarquee02.document.close()
thelength=document.cmarquee01.document.cmarquee02.document.width
scrollit()
}

function scrollit(){
if (document.cmarquee01.document.cmarquee02.left>=thelength*(-1)){
document.cmarquee01.document.cmarquee02.left-=speed
setTimeout("scrollit()",100)
}
else{
document.cmarquee01.document.cmarquee02.left=marqueewidth
scrollit()
}
}

window.onload=regenerate2
